Closed Bug 1552676 Opened 7 months ago Closed 7 months ago

Intermittent browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js | A promise chain failed to handle a rejection: is is not defined - stack: check@chrome://mochitests/content/browser/browser/components/enterprisepolicies/t

Categories

(Firefox :: Enterprise Policies, defect, P5)

defect

Tracking

()

RESOLVED FIXED
Firefox 69
Tracking Status
firefox-esr60 --- unaffected
firefox67 --- wontfix
firefox68 --- fixed
firefox69 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: mkaply)

Details

(Keywords: intermittent-failure, regression)

Attachments

(1 file)

Filed by: rmaries [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=247237052&repo=autoland
Full log: https://queue.taskcluster.net/v1/task/bL_iiaQsSZaG3v1HtRINKg/runs/0/artifacts/public/logs/live_backing.log


[task 2019-05-19T02:53:34.928Z] 02:53:34 INFO - TEST-START | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js
[task 2019-05-19T02:53:34.949Z] 02:53:34 INFO - GECKO(5230) | JavaScript error: chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js, line 127: ReferenceError: is is not defined
[task 2019-05-19T02:53:34.986Z] 02:53:34 INFO - TEST-INFO | started process screentopng
[task 2019-05-19T02:53:35.433Z] 02:53:35 INFO - TEST-INFO | screentopng: exit 0
[task 2019-05-19T02:53:35.433Z] 02:53:35 INFO - Buffered messages logged at 02:53:34
[task 2019-05-19T02:53:35.435Z] 02:53:35 INFO - Entering test bound policies_headjs_startWithCleanSlate
[task 2019-05-19T02:53:35.435Z] 02:53:35 INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js | Engine is inactive at the start of the test -
[task 2019-05-19T02:53:35.435Z] 02:53:35 INFO - Leaving test bound policies_headjs_startWithCleanSlate
[task 2019-05-19T02:53:35.435Z] 02:53:35 INFO - Entering test bound prepare_tracker_tables
[task 2019-05-19T02:53:35.436Z] 02:53:35 INFO - Console message: [JavaScript Error: "ReferenceError: is is not defined" {file: "chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js" line: 127}]
[task 2019-05-19T02:53:35.437Z] 02:53:35 INFO - Buffered messages finished
[task 2019-05-19T02:53:35.441Z] 02:53:35 INFO - TEST-UNEXPECTED-FAIL | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js | A promise chain failed to handle a rejection: is is not defined - stack: check@chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js:127:3
[task 2019-05-19T02:53:35.441Z] 02:53:35 INFO - asynctest_empty_all_bookmarks@chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js:272:3
[task 2019-05-19T02:53:35.441Z] 02:53:35 INFO - Async
Tester_execTest/<@chrome://mochikit/content/browser-test.js:1116:34
[task 2019-05-19T02:53:35.441Z] 02:53:35 INFO - async*Tester_execTest@chrome://mochikit/content/browser-test.js:1144:12
[task 2019-05-19T02:53:35.442Z] 02:53:35 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:1005:14
[task 2019-05-19T02:53:35.442Z] 02:53:35 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-05-19T02:53:35.442Z] 02:53:35 INFO - Rejection date: Sun May 19 2019 02:53:34 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-05-19T02:53:35.442Z] 02:53:35 INFO - Stack trace:
[task 2019-05-19T02:53:35.443Z] 02:53:35 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-05-19T02:53:35.443Z] 02:53:35 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1140
[task 2019-05-19T02:53:35.443Z] 02:53:35 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
[task 2019-05-19T02:53:35.443Z] 02:53:35 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
[task 2019-05-19T02:53:35.443Z] 02:53:35 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-05-19T02:53:35.444Z] 02:53:35 INFO - Leaving test bound prepare_tracker_tables
[task 2019-05-19T02:53:35.444Z] 02:53:35 INFO - Entering test bound test_initial_state

Pushed by mozilla@kaply.com:
https://hg.mozilla.org/integration/autoland/rev/29ab504dc748
Cleanup cookie policy tests. r=rstrong
Status: NEW → RESOLVED
Closed: 7 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 69
Assignee: nobody → mozilla

Seeing this on June 21st beta simulations:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=252812834&repo=try&lineNumber=8893

16:37:44 INFO - TEST-START | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js
16:37:44 INFO - GECKO(2295) | JavaScript error: chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js, line 127: ReferenceError: is is not defined
16:37:45 INFO - TEST-INFO | started process screencapture
16:37:45 INFO - TEST-INFO | screencapture: exit 0
16:37:45 INFO - Buffered messages logged at 16:37:44
16:37:45 INFO - Entering test bound policies_headjs_startWithCleanSlate
16:37:45 INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js | Engine is inactive at the start of the test -
16:37:45 INFO - Leaving test bound policies_headjs_startWithCleanSlate
16:37:45 INFO - Entering test bound prepare_tracker_tables
16:37:45 INFO - Console message: [JavaScript Error: "ReferenceError: is is not defined" {file: "chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js" line: 127}]
16:37:45 INFO - Buffered messages finished
16:37:45 INFO - TEST-UNEXPECTED-FAIL | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js | A promise chain failed to handle a rejection: is is not defined - stack: check@chrome://mochitests/content/browser/browser/components/enterprisepolicies/tests/browser/browser_policy_bookmarks.js:127:3
16:37:45 INFO - Rejection date: Fri Jun 21 2019 16:37:44 GMT+0000 (Greenwich Mean Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
16:37:45 INFO - Stack trace:
16:37:45 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
16:37:45 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1139
16:37:45 INFO - Leaving test bound prepare_tracker_tables
16:37:45 INFO - Entering test bound test_initial_state
16:37:45 INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_cookie_settings.js | Number of first-party cookies should match expected -

You need to log in before you can comment on or make changes to this bug.